---
- name: "[Alacritty] Install" 
  kewlfft.aur.aur:
    name:
      - alacritty
      - ueberzugpp
    state: present

- name: "[Alacritty] Create config folder"
  ansible.builtin.file:
    mode: "0755"
    path: "{{ ansible_user_dir }}/.config/alacritty"
    state: directory

- name: "[Alacritty] Configure"
  ansible.builtin.copy:
    src: "./"
    dest: "{{ ansible_user_dir }}/.config/alacritty"

- name: "[Alacritty] Set default"
  shell: gsettings set org.cinnamon.desktop.default-applications.terminal exec alacritty && gsettings set org.gnome.desktop.default-applications.terminal exec alacritty
  ignore_errors: true
